extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Almacen"
    - var ListadoCabecera = ["Almacen", "Descripcion"]
    - var TamanoColeccion = "tAlmacenes.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tAlmacen of tAlmacenes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tAlmacen})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tAlmacen.Codalmacen }}
        td
            h6.text-nowrap {{ tAlmacen.Descripcion }}